*{
 	margin: 0;
 	padding: 0;
 	-webkit-box-sizing:border-box;
 	-moz-box-sizing:border-box;
 	box-sizing:border-box;
}

html{
	scroll-behavior: smooth;
}

body{
	display:flex;
	flex-direction:column;
	min-height:100vh;
  background: #9b2a8e;
  background: linear-gradient(90deg, rgb(151, 77, 211) 0%, rgb(224, 115, 210) 50%, rgb(151, 77, 211) 100%);
}

/* estilos del encabezado */
.head_modelos{
    text-align: center;
    background-image: url("../sources/hero_baner.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    margin:0;
    padding: 0;
}

.logo_imagen{
  background-color: rgba(138, 135, 135, 0.7);
  height: 250px;
  padding: 10px 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.head_modelos h1{
    margin-top: 20px;
		font-family: "Tangerine", cursive;
    font-size: 76px;
    font-weight: 700;
    font-style: normal;
    color: #ffff;
}

.head_modelos p{
    margin: 0 0 10px;
		font-family: "Lato", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 18px;
    color: #ffff;
}

/* estilos nav */
.navbar{
    display: flex;
    justify-content: center;
		background-color:white;
		padding: 0;
		margin:0;
		margin-bottom: 5px;

}

.navbar form{
  padding: 15px 0;
}

.navbar a{
    color:  #8416CC;
    padding: 14px 20px;
    text-decoration: none;
    text-align: center;
}

.navbar a:hover{
    background-color: rgb(157, 12, 170);
		color:white;
}



/* estilos del cuerpo */

main{
	flex-grow:1;
  margin-bottom: 10px;
}

/* estilos de imagenes */

.cont-imagen{
  padding: 15px;
  display:grid;
  grid-template-columns: repeat(auto-fill,minmax(250px,1fr));
  grid-auto-rows: 380px;
  gap:15px;
  justify-content: center;
}

.div_imagen img {
   width: 100%;
   height: 100%;
   object-fit: cover;
   box-shadow: 7px 7px 12px 0 rgba(241, 239, 239, 0.6);
}

.div_imagen img:hover {
   filter: brightness(0.4);
}

/* estilos de la galeria */

.head_galeria{
  background: #03aef3;
  background-image: linear-gradient(to top, #FFFFFF, #e79eff);
  margin-bottom: 10px;
  padding: 20px 10px;
}

.head_galeria h1{
  font-family: "Lato", sans-serif;
  font-weight: 700;
  font-style: normal;
  font-size: 36px;
  color:#fff;
  text-shadow: 2px 2px 4px rgba(0,0,0,0.5);
}


.img_modelo{
  width:100%;
  margin:0 auto;
}

.img_modelo img{
  border-radius:20px;
  width:150px;
  margin-bottom: 5px;
}

.img_modelo i{
  color:rgb(160, 24, 160);
  font-size: 24px;
  text-shadow: 2px 2px 4px rgba(235, 129, 235, 0.952);
}

.cont_galeria{
  padding: 15px;
  display:grid;
  grid-template-columns: repeat(auto-fill,minmax(250px,1fr));
  grid-auto-rows: 380px;
  gap:15px;
  justify-content: center;
}

.div_galeria img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    box-shadow: 7px 7px 12px 0 rgba(255,255,255, 0.6);
}

.div_galeria img:hover{
    filter: brightness(0.4);
}


/* --- Estilos del pie de pagina --- */

footer{
	background-color: #2a0a36  ;
	width: 100%;
	padding:1rem;
  margin-top: 10px;
	text-align: center;
	font-size: 12px;
	color: white;
}

footer a{
	font-size: 18px;
	color: white;
  text-decoration: none;
}